﻿<?php
/**
 * @package      ITPrism Components
 * @subpackage   ItpMeta
 * @author       Todor Iliev
 * @copyright    Copyright (C) 2010 Todor Iliev <todor@itprism.com>. All rights reserved.
 * @license      http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * ItpMeta is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Script file of ITPMeta component
 */
class plgSystemItpMetaInstallerScript
{
        /**
         * method to install the component
         *
         * @return void
         */
        function install($parent) 
        {
            
        }
 
        /**
         * method to uninstall the component
         *
         * @return void
         */
        function uninstall($parent) 
        {
        }
 
        /**
         * method to update the component
         *
         * @return void
         */
        function update($parent) 
        {
        }
 
        /**
         * method to run before an install/update/uninstall method
         *
         * @return void
         */
        function preflight($type, $parent) 
        {
        }
 
        /**
         * method to run after an install/update/uninstall method
         *
         * @return void
         */
        function postflight($type, $parent) {
		
			$db = JFactory::getDbo();
            
            // Enable plugins
            $db->setQuery(
                "UPDATE 
                    `#__extensions`
                SET
                    `enabled`=1
                WHERE
                    `element`='itpmeta'
                AND
                    `type`='plugin'"
            );
            
            if(!$db->query()){
                throw new ItpException($db->getErrorMsg(), 500);
            }
        }
}

